package jp.muziyoshiz.wmi.web.jdo;

import javax.jdo.JDOHelper;
import javax.jdo.PersistenceManager;
import javax.jdo.PersistenceManagerFactory;

public final class PMF {
    private static final PersistenceManagerFactory INSTANCE =
        JDOHelper.getPersistenceManagerFactory("transactions-optional");
    
    private PMF() {
    }

    public static PersistenceManagerFactory get() {
        return INSTANCE;
    }
    
    public static final PersistenceManager createManager() {
        return get().getPersistenceManager();
    }
}
