<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="com.google.appengine.api.users.User" %>
<%@ page import="com.google.appengine.api.users.UserService" %>
<%@ page import="com.google.appengine.api.users.UserServiceFactory" %>
<%@ page import="jp.muziyoshiz.wmi.web.jdo.Information" %>


<%@page import="jp.muziyoshiz.wmi.web.InformationServlet"%><html>
  <body>

<%
    UserService userService = UserServiceFactory.getUserService();
    User currentUser = userService.getCurrentUser();
    String thisURL = request.getRequestURI();
    
    if (request.getUserPrincipal() == null) {
%>

    <p>Please <a href="<%= userService.createLoginURL(thisURL) %>">sign in</a>.</p>
    
<% } else { %>

    <p><a href="<%= userService.createLogoutURL(thisURL) %>">logout</a></p>

  <p>
    Add knower for user
    "<%= currentUser.getNickname() %>"
    (userId="<%= currentUser.getUserId() %>")
  </p>

  <form action="/knower" method="post">
    <div>Name(String): <input type="text" name="name" /></div>
    
    <div>
    Information:
    </div>
    <div>
        <% for (Information info : InformationServlet.getInformationByUser(currentUser)) { %>
            <div>
                <input type="checkbox" name="informationKeys" value="<%= info.getKey() %>" />
                <%= info.getName() %>
            </div>
        <% } %> 
    </div>
    
    <div><input type="submit" value="Add Knower" /></div>
  </form>

  <p><a href="/">Back to index</a></p>

<% } %>
  </body>
</html>
